<template>
  <q-layout>
    <q-page-container>
      <q-page
        class="bg-white window-height window-width row justify-center items-center"
      >
        <div class="column">
          <div class="row">
            <h5 class="text-h5 text-primary q-my-md">
              <q-icon name="login" size="24px" />
              Login
            </h5>
          </div>
          <div class="row">
            <q-form @submit="submitForm" ref="form" class="q-gutter-md">
              <q-card square bordered class="q-pa-lg shadow-8">
                <q-card-section>
                  <q-input
                    square
                    outlined
                    clearable
                    v-model="form.email"
                    lazy-rules
                    :rules="[
                      (val) =>
                        (val && val.length > 0) || 'Please enter an phone',
                    ]"
                    type="text"
                    label="Phone"
                  />
                  <q-input
                    square
                    outlined
                    clearable
                    v-model="form.password"
                    lazy-rules
                    :rules="[
                      (val) =>
                        (val && val.length > 0) || 'Please enter a password',
                    ]"
                    type="password"
                    label="Password"
                  />
                </q-card-section>
                <q-card-actions class="q-px-md">
                  <q-btn
                    type="submit"
                    unelevated
                    color="primary"
                    size="lg"
                    class="full-width"
                    label="Login"
                  />
                </q-card-actions>
              </q-card>
            </q-form>
          </div>
        </div>
      </q-page>
    </q-page-container>
  </q-layout>
</template>

<script>
import { defineComponent } from 'vue'
import axios from 'axios'
import {mapActions} from 'vuex'

export default defineComponent({
  name: 'Login',
  data() {
    return {
      form: {
        email: '',
        password: '',
        _token:''
        

      },
    }
  },

  async mounted(){
     axios
          .get('http://127.0.0.1:222/sanctum/csrf-cookie')
          .then((response) => {
            console.log(response);
            return response
          })
    //console.log(this.$route)
    if(this.$route.path == "/logout"){
      //console.log(this.$store.state.example.user)
      this.DelUserVuex()
      await axios.get(this.$domen()+"logout")
      .then((response)=>{})
      this.$router.push('/login').catch(() => {})  
    }
  },
  methods: {
    ...mapActions('example', ['setUser', 'DelUser']),
    async submitForm() {
       if (
        axios
          .get('http://127.0.0.1:222/sanctum/csrf-cookie')
          .then((response) => {

            return response
          })
      )  {
        let router = this.$router
        this.$q.loading.show()
        await axios
          .post(this.$domen()+'login', this.form)
          .then((res) => {
            this.$s("Succesfully")
            // console.log(res.data[0])
             
            try{
              // this.$store.commit.example("setUser", res.data.data[0]);
              this.setUser({user: res.data[0]})
              // console.log(this.$store.state.example.user);
              this.$q.loading.hide()
              console.log(1);
              router.push('/').catch(() => {})
            }catch(e){
              this.$q.loading.hide()
              console.log(e);
            }
          })
          .catch((re)=>{
            this.$q.loading.hide()
            if(re.status == 419){
              this.$i("Please try again")
            }else
            if(re.status == 401){
              this.$e("Login or Password Nocorrect")
            }else{
              this.$e("Errors.")

            }
          })
      }
    },
    DelUserVuex(){
      //console.log(this.$store.state.example.user)
      this.DelUser()
      //console.log(this.$store.state.example.user)
    }
  },
})
</script>
